%define pname     tvonscreen
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define datadir   %(vdr-config --datadir    2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        1.0.141
Release:        4%{?dist}
Summary:        Enhanced EPG data viewer for VDR

Group:          Applications/Multimedia
License:        GPL+
URL:            http://www.js-home.org/vdr/tvonscreen/
Source0:        http://www.js-home.org/vdr/tvonscreen/%{name}-%{version}.tar.gz
Source1:        %{name}.conf
# Fixes several bugs, from e-tobi
Patch0:         02_tvonscreen-1.0-fixes.dpatch
# VDR 1.6 compatibility patch
Patch1:         http://toms-cafe.de/vdr/download/%{pname}-%{version}-1.5.3.diff
# I18n patch from Mandriva
Patch2:         tvonscreen-1.0.141-i18n-1.6.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0 gettext
Requires:       vdr(abi) = %{apiver}

%description
This VDR plugin shows EPG data on VDR's OSD in a similar way as a TV
magazine does. The channels are shown from left to right, 3 on one
screen.


%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

sed -i -e 's|^\(.*ConfigDirectory=\).*"logos".*|\1"%{datadir}/logos";|' \
    magazine.c
sed -i -e 's|<configDir>/plugins/logos|%{datadir}/logos|' README
iconv -f iso-8859-1 -t utf-8 README > README.utf8 ; mv README.utf8 README


%build
make libvdr-%{pname}.so %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr


%install
rm -rf $RPM_BUILD_ROOT
make i18n LOCALEDIR=$RPM_BUILD_ROOT%{_datadir}/locale
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING HISTORY README
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%{plugindir}/libvdr-%{pname}.so.%{apiver}


%changelog
* Sun May 04 2008 - Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> 1.0.141-4
- Add a combined patch from e-tobi, fixes segfaults
- Add I18n patch from Mandriva, adds fi and de translations, thanks to Anssi
  Hannula

* Tue Apr 08 2008 - Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> 1.0.141-3
- Add VDR 1.6.0 compatibility patch and rebuild against new VDR

* Sat Feb 16 2008 - Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> 1.0.141-2
- Rebuild for GCC 4.3

* Wed Dec 21 2007 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.0.141-1
- Improve description
- Bump release for the first Fedora build

* Wed Dec 19 2007 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.0.141-0.2
- Remove execute permission on i18n.h
- License: GPL+

* Sun Jun 18 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.0.141-0.1
- 1.0.141.

* Sat Dec 31 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.20
- Use Thomas Günther's combined patch set.

* Tue Nov  1 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.19
- Rebuild for VDR 1.3.35.

* Mon Oct  3 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.18
- Rebuild for VDR 1.3.34.

* Sun Sep 25 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.17
- Rebuild for VDR 1.3.33.

* Sun Sep 11 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.16
- Rebuild for VDR 1.3.32.

* Sun Aug 28 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.15
- Rebuild for VDR 1.3.31.

* Sun Aug 21 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.14
- Rebuild for VDR 1.3.30.

* Wed Aug 17 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.13
- Rebuild for VDR 1.3.29.

* Sun Aug  7 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.12
- Rebuild for VDR 1.3.28, add plugins.d config snippet.

* Sun Jun 19 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.11
- Rebuild for VDR 1.3.27.

* Sat Jun 18 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.10
- Rebuild for FC4.

* Sun Jun 12 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.9
- Rebuild for VDR 1.3.26.

* Mon May 30 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.8
- Rebuild for VDR 1.3.25.

* Mon May 23 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.7
- Apply patch from "pjmauno" to fix missing show times in channel display.

* Tue May 10 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.6
- Rebuild for VDR 1.3.24.

* Thu Apr 21 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.5
- Drop dependency on channel logos.

* Thu Mar 31 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.4
- Apply Thomas Günther's fix for crash when no EPG data is available.

* Sat Jan 15 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.3
- Patch to build with VDR 1.3.18.

* Wed Jan  5 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.2
- Apply Graziano Pavone's Italian translation patch.
- Convert docs to UTF-8.

* Tue Jan  4 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-0.1
- Update to 0.7.0, gcc34 patch applied upstream.

* Mon Jan  3 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.6.0-0.6
- vdr-logos -> vdr-xpmlogos.

* Sun Dec 26 2004 Ville Skyttä <ville.skytta at iki.fi> - 0.6.0-0.5
- Remove unnecessary Epochs.

* Sat Dec 11 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.0-0.scop.4
- Use vdr-config.

* Sat Nov 20 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.0-0.scop.3
- Patch to build with gcc 3.4.

* Tue Oct 26 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.0-0.scop.2
- Rebuild.

* Mon Oct 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.0-0.scop.1
- First build.
